@charset "utf-8";

/* -----------------------------------------------------------
    jsもっと見るボタン
-------------------------------------------------------------- */
/*↓これだけclass名共通  属性の末尾に追加されてしまうため*/
.cmn_view_hidden {
    opacity: 0;
    height: 0;
    margin: 0 10px;
    padding: 0;
    display: none;
}

[class^="cmn_view_btn"] {
    align-items: center;
    background: #fff;
    border: var(--cmnblack) 1px solid;
    cursor: pointer;
    font: 500 2rem/1 var(--en);
    display: flex;
    width: 270px;
    height: 64px;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: .5s;
    margin: 40px auto 0;
}

[class^="cmn_view_btn"]:hover {
    background: var(--main);
    border-color: var(--main);
    color: #fff;
}

[class^="cmn_view_btn"]::before, [class^="cmn_view_btn"]::after {
    position: absolute;
    content: '';
    background-color: var(--main);
}

[class^="cmn_view_btn"]:hover::before, [class^="cmn_view_btn"]:hover::after {
    background: #fff !important;
}

[class^="cmn_view_btn"]::before {
    width: 18px;
    height: 1px;
    right: 16px;
    bottom: 32px;
}

[class^="cmn_view_btn"]::after {
    width: 1px;
    height: 18px;
    right: 25px;
    bottom: 23px;
}